Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Stéphane Marks <[email-masked]>
Date: Mon, 16 Jun 2025 05:23:15 -0400

On Mon, Jun 16, 2025 at 5:18 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Przemysław Kryger <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> > Date: Mon, 16 Jun 2025 09:20:53 +0100
> >
> >
> > > I could consider this if otherwise "M-x man" is completely broken on
> > > macOS. Is it?
> >
> > It is. At least in my case.
>
> Can someone please provide a comprehensive answer to this: does "M-x
> man" always fail on all supported versions of macOS?  If not, which
> versions are affected?
>

Running `man` Emacs 30.1 on macOS 12.7.6 /usr/bin/sed works fine for me.  I
verified that (executable-find "sed") finds /usr/bin/sed and that I do not
have GNU sed installed.  FYI, my (getenv "MANPATH") is nil, so it's system
defaults, which reminds me that I should add /usr/local/share/man, but
that's secondary.